#
# spec file for package perl-Test-Script
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Script
Version:        1.23
Release:        bp153.1.12
%define cpan_name Test-Script
Summary:        Basic cross-platform tests for scripts
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Script/
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Probe::Perl) >= 0.01
BuildRequires:  perl(Test2::API) >= 1.302015
BuildRequires:  perl(Test2::V0) >= 0.000060
Requires:       perl(Capture::Tiny)
Requires:       perl(Probe::Perl) >= 0.01
Requires:       perl(Test2::API) >= 1.302015
%{perl_requires}

%description
The intent of this module is to provide a series of basic tests for 80% of
the testing you will need to do for scripts in the _script_ (or _bin_ as is
also commonly used) paths of your Perl distribution.

Further, it aims to provide this functionality with perfect
platform-compatibility, and in a way that is as unobtrusive as possible.

That is, if the program works on a platform, then *Test::Script* should
always work on that platform as well. Anything less than 100% is considered
unacceptable.

In doing so, it is hoped that *Test::Script* can become a module that you
can safely make a dependency of all your modules, without risking that your
module won't on some platform because of the dependency.

Where a clash exists between wanting more functionality and maintaining
platform safety, this module will err on the side of platform safety.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc author.yml Changes README
%license LICENSE

%changelog
* Tue Jul 25 2017 coolo@suse.com
- updated to 1.23
  see /usr/share/doc/packages/perl-Test-Script/Changes
  1.23      2017-07-18 03:12:24 -0400
  - Production release identical to 1.22_01 release.
  1.22_01   2017-07-14 07:21:00 -0400
  - Fix testing failures on Windows introduced in 1.21_01
  1.21_01   2017-07-13 13:37:09 -0400
  - Migrate to using Test2::V0 internally
* Fri Jul 14 2017 coolo@suse.com
- updated to 1.20
  see /usr/share/doc/packages/perl-Test-Script/Changes
  1.20      2017-07-13 11:17:42 -0400
  - Production release identical to 1.19_08 release.
  1.19_08   2017-07-12 08:22:41 -0400
  - Diagnostic release
  1.19_07   2017-07-12 07:53:55 -0400
  - Diagnostic release
  1.19_06   2017-07-11 05:34:30 -0400
  - Diagnostic release
  1.19_05   2017-07-09 11:35:59 -0400
  - Diagnostic release
  1.19_04   2017-07-07 16:26:41 -0400
  - Add support for stdin option that was lost in the Capture::Tiny migration
  - Officially drop support for Perl 5.6 (support for 5.6 was already
    implicitly dropped when we migrated to Capture::Tiny).
  - A near term future version will also drop support for the old pre-Test2
    Test::Builder.
  1.19_03   2017-07-07 10:14:25 -0400
  - Use Test2::V0 instead of Test2::Bundle::Extended for Test2 tests
  1.19_02   2017-06-21 17:06:47 -0400
  - Identical to 1.19_01
  1.19_01   2017-05-01 06:12:01 -0400
  - Use Capture::Tiny instead of IPC::Run3 (Paul Cochrane/PTC++ gh#4, gh#15)
  - Minor documentation fixes (Paul Cochrane/PTC++)
* Fri Apr 14 2017 coolo@suse.com
- updated to 1.18
  see /usr/share/doc/packages/perl-Test-Script/Changes
  1.18      2017-04-12 07:01:14 -0400
  - Production release identical to 1.17_02 release.
  1.17_02   2017-04-10 08:39:46 -0400
  - Use three argument open
  1.17_01   2017-04-10 06:51:38 -0400
  - Handle scripts with -T taint mode (gh#13)
* Sun Mar  5 2017 coolo@suse.com
- updated to 1.16
  see /usr/share/doc/packages/perl-Test-Script/Changes
  1.16      2017-03-04 12:16:10 -0500
  - Stricter useage of plans.
* Tue Feb 14 2017 coolo@suse.com
- updated to 1.15
  see /usr/share/doc/packages/perl-Test-Script/Changes
  1.15      2017-02-14 07:08:51 +1100
  - Fix bug where list reference arguments to script_compiles
    and script_runs are modified (gh#9)
* Fri Oct 14 2016 coolo@suse.com
- updated to 1.14
  see /usr/share/doc/packages/perl-Test-Script/Changes
  1.14      2016-10-13 11:04:48 -0400
  - Fix a regex in a test that fails on recent versions of
    Test2 on Windows (possibly others) (gh#8)
  - One of the tests was unreasonably slow, so it does
    not get run for users, but will be used for development
    only
  - Remove warning condition that happens with at least some
    older versions of Perl when using quotemeta without
    parentheses (gh#7 Thanks Brendan Byrd)
* Thu May  5 2016 coolo@suse.com
- updated to 1.12
  see /usr/share/doc/packages/perl-Test-Script/Changes
  1.12      2016-05-02 11:18:01 -0400
  - Production release identical to 1.11_03 release.
  1.11_03   2016-04-28 06:45:52 -0400
  - Check for IO errors on temporary .pm file
  1.11_02   2016-04-27 13:15:35 -0400
  - One possible fix for gh#5
    (see https://github.com/plicease/Test-Script/issues/5)
  1.11_01   2016-04-27 12:28:33 -0400
  - Including some optional Test2 based tests that should
    only be run with a merged Test2 / Test::Builder
    (currently a dev release as Test::Simple on CPAN)
* Wed May 13 2015 coolo@suse.com
- updated to 1.10
  see /usr/share/doc/packages/perl-Test-Script/Changes
  1.10      2015-05-12 05:15:41 -0400
  - Work around for buggy IPC::Run3 0.048 on MSWin32
    On Windows we probe for and mitigate a bug in IPC::Run3
    (see https://github.com/plicease/Test-Script/issues/1 for details)
    with the intention of removing the workaround if/when IPC::Run3
    is fixed.
* Fri May  8 2015 coolo@suse.com
- updated to 1.09
  see /usr/share/doc/packages/perl-Test-Script/Changes
  1.09      2015-05-07 16:44:26 -0400
  - If IPC::Run3::run3 throws an exception it will now fail the test
    (with a helpful diagnostic) rather than crashing the test script.
  - A script that is killed with a singnal is now considered a failure
    as well.
  - Use alternate expected exit and signal values with options as the
    second argument to script_runs.
  - Ability to pass input via stdin to the script with script_runs.
  - Ability to capture stdout and stderr from script with script_runs.
  - Functions to test stdout and stderr:
    script_stdout_is
    script_stdout_isnt
    script_stdout_like
    script_stdout_unlike
    script_stderr_is
    script_stderr_isnt
    script_stderr_like
    script_stderr_unlike
  1.08      2015-05-06 05:09:13 -0400
  - Now works with or without blib (rt81222, rt102743)
  - Compatability with older versions of Test::Builder::Tester (rt81335)
  - Requires Perl 5.6.0
  - Migrate to Dist::Zilla
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 13 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch package
- enable check for suse_version > 1020 only
* Thu Mar  4 2010 chris@computersalat.de
- cleanup spec
- fixed deps
- added perl-macros
  o perl_gen_filelist
* Mon Feb  8 2010 larry+opensuse@l2g.to
- More cleanup for openSUSE packaging
* Mon Jan 25 2010 anicka@suse.cz
- clean Requires
